Remove fields for category search and for prefix search
Closed, ResolvedPublic1 Story Points

Description

Motivation
AdvancedSearch aims to make important existing keywords accessible to people who don't know them by heart. In theory, we would like to support category search and prefix search (often used for searching in subpages for a page). However, for the MVP both of them come with too many implications:
Category search makes most sense to be done as deep category search (i.e. also searching through subpages of a specified category). This is currently not implemented in the usual search.
Prefix search only allows the specification of one or all namespaces. With the current interface, this would result in unexpected side results influencing the whole search, especially if people have specified namespaces in the corresponding field.
While future versions should include both options, we decided to take them out of the MVP.

Task
Remove the fields "Search in category" and "Subpages of that page" from the AdvancedSearch.

Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 27 2017, 12:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gabriel-wmde set the point value for this task to 1.Aug 2 2017, 11:47 AM

Change 370207 had a related patch set uploaded (by Jeroen De Dauw; owner: Jeroen De Dauw):
[mediawiki/extensions/AdvancedSearch@master] T171843: Remove fields for category search and for prefix search

https://gerrit.wikimedia.org/r/370207

Pablo-WMDE claimed this task.

Oh, this seem to be worked on. Please make sure the board reflects that.

Pablo-WMDE added a subscriber: Pablo-WMDE.

Change 370207 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] T171843: Remove fields for category search and for prefix search

https://gerrit.wikimedia.org/r/370207

@JeroenDeDauw Looking at that change to the package-lock.json...
What version of NPM are you using? Probably 5.1 or later.

That is something we have to decide as a team to avoid endless merge conflicts...

Using the proposed docker-compose workflow (and consequently the image digitallyseamless/nodejs-bower-grunt) currently gives us npm 5.3. Would that be ok for everyone?

/cc @gabriel-wmde @kai.nissen

(If you have used the docker-compose way before but see an older verion of npm on your system, try docker pull digitallyseamless/nodejs-bower-grunt)

TODO: Remove the following line:

mw.loader.load( '//de.wikipedia.org/w/index.php?title=MediaWiki:Gadget-DeepCat.js&action=raw&ctype=text/javascript' );
gabriel-wmde closed this task as Resolved.Aug 16 2017, 1:40 PM

Deployed on or test wiki.

Removal of loading DeepCat is done in https://gerrit.wikimedia.org/r/372146

@Pablo-WMDE I'm fine with using docker-compose and npm 5.3